Add Delivery Status

POST/api/2026-03/documents/{documentId}/addDeliveryStatus
public-api:write
Latest version

Path Parameters

ParameterTypeDescription
documentId*
integer

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
reportId
string

If provided, this will update the matching delivery build; otherwise, it will create a new one.

publicationId*
integer

Required for delivery builds of type publication

deliveryHandle*
string
status*
string

One of: success, failed, aborted ((added in release-2024-07)), in-progress

message
string

String or sanitized HTML (supports <em>, <strong>, <a> and <br> tags)

userChoices
Array<{label: string, value: string}>

An array of options given to the user to choose from. This parameter is only allowed when status is set to in-progress. ((added in release-2024-07))

Description

This endpoint allows an external system to send updates about a delivery build to Livingdocs.

Delivery builds are initiated by users within the Livingdocs editor and can be configured to notify an external system. Through this endpoint, external systems can report back to Livingdocs regarding the status of a triggered task or request further clarification by providing user choices. For more information on how to set up and use delivery builds, please refer to our guide.

Responses

⌘ K to search